Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class ContactDetails2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.ContactDetails2

    public class ContactDetails2
    extends java.lang.Object

Java class for ContactDetails2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContactDetails2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NmPrfx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}NamePrefix1Code" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max140Text" minOccurs="0"/>
             <element name="PhneNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PhoneNumber" minOccurs="0"/>
             <element name="MobNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PhoneNumber" minOccurs="0"/>
             <element name="FaxNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PhoneNumber" minOccurs="0"/>
             <element name="EmailAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max2048Text" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `emailAdr`
`protected java.lang.String` `faxNb`
`protected java.lang.String` `mobNb`
`protected java.lang.String` `nm`
`protected NamePrefix1Code` `nmPrfx`
`protected java.lang.String` `othr`
`protected java.lang.String` `phneNb`

### Constructor Summary

Constructors
`ContactDetails2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEmailAdr()` Gets the value of the emailAdr property.
`java.lang.String` `getFaxNb()` Gets the value of the faxNb property.
`java.lang.String` `getMobNb()` Gets the value of the mobNb property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`NamePrefix1Code` `getNmPrfx()` Gets the value of the nmPrfx property.
`java.lang.String` `getOthr()` Gets the value of the othr property.
`java.lang.String` `getPhneNb()` Gets the value of the phneNb property.
`void` `setEmailAdr​(java.lang.String value)` Sets the value of the emailAdr property.
`void` `setFaxNb​(java.lang.String value)` Sets the value of the faxNb property.
`void` `setMobNb​(java.lang.String value)` Sets the value of the mobNb property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setNmPrfx​(NamePrefix1Code value)` Sets the value of the nmPrfx property.
`void` `setOthr​(java.lang.String value)` Sets the value of the othr property.
`void` `setPhneNb​(java.lang.String value)` Sets the value of the phneNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nmPrfx

    protected NamePrefix1Code nmPrfx

#### nm

    protected java.lang.String nm

#### phneNb

    protected java.lang.String phneNb

#### mobNb

    protected java.lang.String mobNb

#### faxNb

    protected java.lang.String faxNb

#### emailAdr

    protected java.lang.String emailAdr

#### othr

    protected java.lang.String othr

### Constructor Detail

#### ContactDetails2

    public ContactDetails2()

### Method Detail

#### getNmPrfx

    public NamePrefix1Code getNmPrfx()

Gets the value of the nmPrfx property.

Returns:
  possible object is `NamePrefix1Code`

#### setNmPrfx

    public void setNmPrfx​(NamePrefix1Code value)

Sets the value of the nmPrfx property.

Parameters:
  `value` - allowed object is `NamePrefix1Code`

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getPhneNb

    public java.lang.String getPhneNb()

Gets the value of the phneNb property.

Returns:
  possible object is `String`

#### setPhneNb

    public void setPhneNb​(java.lang.String value)

Sets the value of the phneNb property.

Parameters:
  `value` - allowed object is `String`

#### getMobNb

    public java.lang.String getMobNb()

Gets the value of the mobNb property.

Returns:
  possible object is `String`

#### setMobNb

    public void setMobNb​(java.lang.String value)

Sets the value of the mobNb property.

Parameters:
  `value` - allowed object is `String`

#### getFaxNb

    public java.lang.String getFaxNb()

Gets the value of the faxNb property.

Returns:
  possible object is `String`

#### setFaxNb

    public void setFaxNb​(java.lang.String value)

Sets the value of the faxNb property.

Parameters:
  `value` - allowed object is `String`

#### getEmailAdr

    public java.lang.String getEmailAdr()

Gets the value of the emailAdr property.

Returns:
  possible object is `String`

#### setEmailAdr

    public void setEmailAdr​(java.lang.String value)

Sets the value of the emailAdr property.

Parameters:
  `value` - allowed object is `String`

#### getOthr

    public java.lang.String getOthr()

Gets the value of the othr property.

Returns:
  possible object is `String`

#### setOthr

    public void setOthr​(java.lang.String value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `String`